Subject: RFC 4307 - IPsec terminology broken

From: Alfred Hönes <[email-masked]>
Date: Fri, 3 Feb 2006 16:13:47 +0100 (MEZ)

Hello,

studying the recently published RFC 4307 (Algorithms for IKEv2)
authored by you, I found a significant issue with the text, and
a minor formatting flaw as well.

(1)  [typo breaking IPsec terminology]

On pages 3 and 4 of RFC 4307, the text in Section 3.1.3 through
Section 3.1.5 contains three instances of the same typo,
talking about    [algorithms of] "Transfer Type <n>"  , where it
should refer to  [algorithms of] "Transform Type <n>" .

This breaks the systematic IPsec terminology and should, IMHO,
be addressed by an RFC Errata Note as follows.  (If you agree,
please state your consent in a message to the RFC-Ed.)

----------  snip  ------------

(a) Section 3.1.3, on page 3 of RFC 4307, says:

   IKEv2 defines several possible algorithms for Transfer Type 1
   (encryption).  These are defined below with their implementation
   status.

It should say:

   IKEv2 defines several possible algorithms for Transform Type 1
   (encryption).  These are defined below with their implementation
   status.

(b) Section 3.1.4, on page 3 of RFC 4307, says:

   Transfer Type 2 Algorithms are pseudo-random functions used to
   generate random values when needed.

It should say:

   Transform Type 2 Algorithms are pseudo-random functions used to
   generate random values when needed.

(c) Section 3.1.5, on page 4 of RFC 4307, says:

   Transfer Type 3 Algorithms are Integrity algorithms used to protect
   data against tampering.

It should say:

   Transform Type 3 Algorithms are Integrity algorithms used to protect
   data against tampering.

----------  snip  ------------

(2)  [spurious blank line]

Like other contemporary RFCs, RFC 4307 seems to have been infected
by a common 'virus'.
In the case or RFC 4307, the first sentence of the Introduction has
been inadvertantly split by a spurious blank line.

I already occasionally have communicated my (subjective) conjecture
that this common flaw might be an artifact of tools used in the
transformation process from I-D to RFC.

[ RFC-Ed:
  I apologize for having repeated similar notes in various comments
  on different RFCs.  But I have still a significant backlog of RFCs
  on my desk (waiting for comments to be typed, cross-checked and
  sent), with similar pencil side notes on many of them.  I firmly
  promise to refrain from including this issue over and over again. ]

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+